import React, { Component } from 'react';
import ProForm, {ModalForm, ProFormSelect, ProFormText} from "@ant-design/pro-form";
import {urlType} from "@/utils/dataDic";
import {selectAllById} from '../services/API';
import {message} from "antd";

class AuthorityDetails extends Component{
  constructor(props) {
    super(props);
    this.state={}
  }

  // 查看基本详情基本信息
  loaduser= async (id)=>{
    const msg = await selectAllById(id);
    if(msg.error.length === 0){
      // this.setState({
      //
      // })
    }else{
      message.error(msg.error[0].message)
    }
  }

  render() {
    return (
      <ModalForm
        title="权限详情"
        visible={this.props.visible}
        initialValues={{
          name:this.props.detailsInfor.name,
          url:this.props.detailsInfor.url
        }}
        modalProps={{
          onCancel: this.props.onCancel,
        }}
        onFinish={this.newPermission}
      >
        <ProForm.Group>
          <ProFormText
            rules={
              [{
                required: true,
                message: '请输入接口名称!',
              }]
            }
            width="xl"
            name="name"
            label="接口名称："
            placeholder="请输入名称"
          />
        </ProForm.Group>
        <ProForm.Group>
          <ProFormText
            rules={
              [{
                required: true,
                message: '请输入接口路径'
              }]
            }
            width="xl"
            name="url"
            label="接口路径："
            placeholder="请输入接口路径"
          />
        </ProForm.Group>
        <ProForm.Group>
          <ProFormSelect
            rules={[
              {
                required:true,
                message:'请选择接口类型'
              }
            ]}
            width="xl"
            name="type"
            label="接口类型："
            placeholder="请选择接口类型"
            disabled={!this.props.superData}
            request={async () => urlType}
          />
        </ProForm.Group>
      </ModalForm>
    )
  }
}
export default AuthorityDetails;
